List Agent Runs
import requests
url = "https://platform.ankra.app/api/v1/org/ai-agent-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-agent-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-agent-runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"ai_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finished_at": "2023-11-07T05:31:56Z",
"goal_status": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome_summary": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_name": "<string>",
"trigger_context": "<unknown>",
"turns_used": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Agent Runs
List Agent Runs
List the organisation’s dispatched AI agent runs across every task, newest first.
GET
/
api
/
v1
/
org
/
ai-agent-runs
List Agent Runs
import requests
url = "https://platform.ankra.app/api/v1/org/ai-agent-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-agent-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-agent-runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"ai_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finished_at": "2023-11-07T05:31:56Z",
"goal_status": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome_summary": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_name": "<string>",
"trigger_context": "<unknown>",
"turns_used": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes